Arch Remove/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Arch Tools navi/sv}}")
No edit summary
(8 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/sv
{{GuiCommand/sv
|Name=Arch Remove
|Name=Arch Remove
|Name/sv=Arch Remove
|Name/sv=Arch Remove
|MenuLocation=Arch → Remove
|MenuLocation=Arch → Remove
|Workbenches=[[Arch Module/sv|Arch]]
|Workbenches=[[Arch_Workbench/sv|Arch]]
|SeeAlso=[[Arch Add/sv]]
|SeeAlso=[[Arch Add/sv]]
}}
}}
</div>


====Beskrivning====
====Beskrivning====
Line 15: Line 19:
Remove verktyget låter dig göra 2 sorters operationer:
Remove verktyget låter dig göra 2 sorters operationer:
* Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [[Arch Add/sv|Arch Add]] exemplet
* Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [[Arch Add/sv|Arch Add]] exemplet
* Subtrahera en [[Part Module/sv|form]]baserat objekt från en Arch komponent som en [[Arch Wall/sv|vägg]] eller [[Arch Structure/sv|struktur]]
* Subtrahera en [[Part_Workbench/sv|form]]baserat objekt från en Arch komponent som en [[Arch Wall/sv|vägg]] eller [[Arch Structure/sv|struktur]]
</div>
</div>


The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} tool.


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]
Line 25: Line 29:
</div>
</div>


<div class="mw-translate-fuzzy">
====Bruk====
====Bruk====
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 35: Line 41:
Or
Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove]]}} from the top menu.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The Remove tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
removeComponents(objectsList, host=None)
removeComponents(objectsList, host=None)
Line 67: Line 73:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
<div class="mw-translate-fuzzy">
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>


{{Arch Tools navi/sv}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Revision as of 21:54, 29 August 2021

Arch Remove

Menyplacering
Arch → Remove
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch Add/sv

Beskrivning

Remove verktyget låter dig göra 2 sorters operationer:

  • Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i Arch Add exemplet
  • Subtrahera en formbaserat objekt från en Arch komponent som en vägg eller struktur

The counterpart of this tool is the Arch Add tool.

I bilden ovan, så subtraheras en låda från en vägg

Bruk

  1. Välj en delkomponent inuti ett Arch objekt, eller:
  2. välj de objekt som ska subtraheras, och sedan den Arch komponent från vilken de ska subtraheras (arch komponenten måste vara den sista saken du väljer)
  3. Klicka på ta bort knappen

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()